Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.utils
Class InvalidCursorException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--weblogic.utils.NestedException
                        |
                        +--weblogic.management.utils.InvalidCursorException

public final class InvalidCursorException
extends weblogic.utils.NestedException

The `InvalidCursorException` exception is thrown when an invalid cursor is passed to a method that expects a cursor.

A cursor is returned from methods used to list objects. You then pass the cursor back to methods that traverse the list. If this exception occurs, verify that this is the same cursor returned from the list method, and that the close method has not been called on this cursor.

Author:
  Copyright (c) 2003 by BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class weblogic.utils.NestedException
`nested`

Constructor Summary
`InvalidCursorException(java.lang.String message)` Constructs a `InvalidCursorException` with the specified detail message.
`InvalidCursorException(java.lang.String message, java.lang.Throwable t)` Constructs an `InvalidCursorException` that specifies the detail message and the nested exception.
`InvalidCursorException(java.lang.Throwable t)` Constructs a `InvalidCursorException` that specifies the nested exception.

Methods inherited from class weblogic.utils.NestedException
`getMessage, getNested, getNestedException, printStackTrace, printStackTrace, printStackTrace, superPrintStackTrace, superPrintStackTrace, superToString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidCursorException

    public InvalidCursorException(java.lang.String message,
                                  java.lang.Throwable t)

  Constructs an `InvalidCursorException` that specifies the detail message and the nested exception. A detail message is a String that describes this particular exception.

  Parameters:
    `message` - a String providing additional information about this exception.

    `t` - the exception to be nested inside this exception.

### InvalidCursorException

    public InvalidCursorException(java.lang.Throwable t)

  Constructs a `InvalidCursorException` that specifies the nested exception.

  Parameters:
    `t` - the exception to be nested inside this exception.

### InvalidCursorException

    public InvalidCursorException(java.lang.String message)

  Constructs a `InvalidCursorException` with the specified detail message. A detail message is a String that describes this particular exception.

  Parameters:
    `message` - a String providing additional information about this exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference